Bug 142378 - textproc/urlview has run dependency on firefox
Summary: textproc/urlview has run dependency on firefox
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: David E. O'Brien
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-06 13:30 UTC by Erwan David
Modified: 2010-09-09 21:00 UTC (History)
0 users

See Also:


Attachments
urlview.diff (788 bytes, patch)
2010-01-30 00:17 UTC, Martin Tournoij
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Erwan David 2010-01-06 13:30:05 UTC
When upgrading urlview port it wants to install firefox (totally useless and a waste of ressources on a screenless server).

The makefile extract for it is

.if defined(WITH_GECKO)
USE_GECKO=      firefox-devel firefox35 seamonkey
.include "${PORTSDIR}/Mk/bsd.gecko.mk"
.elif defined(WITH_SEAMONKEY)
RUN_DEPENDS+=   ${LOCALBASE}/lib/seamonkey/seamonkey-bin:${PORTSDIR}/www/seamonkey
GECKO=          seamonkey
.else
RUN_DEPENDS+=   ${LOCALBASE}/lib/firefox3/firefox:${PORTSDIR}/www/firefox35
GECKO=          firefox3
.endif

I do not see why firfox should be a runtime dependency : I use urlview with w3m and it is completely sufficient.

How-To-Repeat: go to /usr/ports/textproc/urlview and type make install
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2010-01-06 15:21:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->obrien

Fix synopsis and assign.
Comment 2 Martin Tournoij 2010-01-30 00:17:32 UTC
Hi,

I must agree with Erwan, my server just started installing firefox and X and
whatnot!
... And there are also non-firefox users out there ;)

I attached a simple patch, it keeps the gecko.sh and attempts to "guess" the
correct gecko browser anyway, this works with or without firefox actually
installed so there really is no need to include firefox as a dependency ...

Also, you can configure the browser in ~/.urlview, maybe fixing this so it
supports the firefox arguments would be a better idea (Presumably the
parenthesis are troubling?) would be a better solution IMO.

In any case, please remove the firefox dependency!

Thanks,
Martin

-- 
Martin Tournoij
carpetsmoker@rwxrwxrwx.net  | (+031) 621 991 576
http://www.carpetsmoker.net | http://www.daemonforums.org

QOTD:
Trying to be happy is like trying to build a machine for which
the only specification is that it should run noiselessly.
Comment 3 dfilter service freebsd_committer 2010-09-09 20:52:01 UTC
obrien      2010-09-09 19:51:37 UTC

  FreeBSD ports repository

  Modified files:
    textproc/urlview     Makefile 
  Log:
  Rev 1.22 (PR 102954) was a bad idea.  This port should not have any default
  dependencies as it causes too much trouble for folks using this port not with
  Firefox.  'pkg_add -r urlview' should not add X11 and Firefox to ones system.
  
  PR:             142378, 144223, 150372
  Submitted by:   Erwan David <erwan@rail.eu.org>, max, Arthur Mesh <arthurmesh@gmail.com>
  
  Revision  Changes    Path
  1.29      +0 -3      ports/textproc/urlview/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 David E. O'Brien freebsd_committer 2010-09-09 20:52:13 UTC
State Changed
From-To: open->closed

Problem corrected.  Sorry for the trouble it caused.